# RakVoice Subsystem The RakVoice Subsytem

## Files

file | RakVoice.h
| RakVoice class declaration.

file | RakVoiceFactory.h
| RakVoice Factory.

file | RakVoiceInterface.h
| UserView of RakVoice subsystem.

file | RakVoice.cpp
| RakVoice class implementation.

file | RakVoiceFactory.cpp
| RakVoiceFactory Implementation.

## Classes

struct | CoderStateWithPlayerIDMapStruct
| Maintain association between communicating peer. More...
class | RakVoice
| RakVoice Class declaration. More...
class | RakVoiceInterface
| Define the user interface of the RakVoice module. More...
class | RakVoiceFactory
| Create RakVoice object. More...

## Defines

#define | RAK_VOICE_INPUT_LIST_BUFFER_SIZE 200

## Typedefs

typedef short | speex_encoding_type

## Detailed Description

provide voice over RakPeer. It make use of the speex library to deflate and inflate voice and integrate it in the RakNet library. It's goal is to provide in game voice chat between players.

Note:
  This version of RakVoice and probably the next version too depends on the version 1.1.6 of the speex library. This library is provided within the RakNet distribution.

## Define Documentation

#define RAK_VOICE_INPUT_LIST_BUFFER_SIZE 200

| Size of the internal queue to hold sound data. This should be written to the sound buffer at a fixed rate.

## Typedef Documentation

typedef short speex_encoding_type

| This is a float in speex 1.0.3 and a short in 1.1.x